Name: diod
Version: 1.0.24.7
Release: 1%{?dist}
# The version is done via git describe, which only works with annotated tags.
# So use annotated tags to version the software!

Summary:  I/O forwarding server for 9P.
License: GPL
Group: Applications/System
URL: http://github.com/chaos/diod
Source0: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: lua-devel
BuildRequires: munge-devel
BuildRequires: ncurses-devel
BuildRequires: libcap-devel
#BuildRequires: libibverbs-devel librdmacm-devel
#BuildRequires: gperftools-devel
BuildRequires: libattr-devel attr
BuildRequires: systemd

%description
diod is a 9P server used in combination with the kernel v9fs file
system for I/O forwarding on Linux clusters.

%prep
%setup -q

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS -fPIC -pie -Wl,-z,relro -Wl,-z,now"

%check
echo disabled make check CFLAGS="$RPM_OPT_FLAGS -fPIC -pie -Wl,-z,relro -Wl,-z,now"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Kludge to install diodmount as a mount helper.
mkdir -p $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT%{_sbindir}/diodmount \
   $RPM_BUILD_ROOT/sbin/mount.diod
mv $RPM_BUILD_ROOT%{_mandir}/man8/diodmount.8 \
   $RPM_BUILD_ROOT%{_mandir}/man8/mount.diod.8

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README.md INSTALL ChangeLog
%{_sbindir}/diod
%{_mandir}/man8/diod.*
%{_mandir}/man5/diod.*
%attr(0755,root,root) %{_unitdir}/diod.service
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/auto.diod
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/diod.conf

%package utils
Summary:  Utilities for diod, a I/O forwarding server for 9P

%description utils
Utilities related to the diod 9P file server.

%files utils
%defattr(-,root,root)
/sbin/mount.diod
%{_sbindir}/diod?*
%{_sbindir}/dtop
%{_mandir}/man8/diod?*.8.gz
%{_mandir}/man8/dtop.8.gz
%{_mandir}/man8/mount.diod.8.gz
